> ## Documentation Index
> Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Make Your First Request

> Integrate Portkey and analyze your first LLM call in 2 minutes!

## 1. Get your Portkey API Key

[Create](https://app.portkey.ai/signup) or [log in](https://app.portkey.ai/login) to your Portkey account. Grab your account's API key from the "Settings" page.

![Copy your Portkey account API key](https://mintcdn.com/portkey-docs/TEsf28na2t53tvAY/images/welcome/welcome-2.gif?s=a2459e84bba9a024fd134de087ef36dd)

Copy your Portkey account API key

Based on your access level, you might see the relevant permissions on the API key modal - tick the ones you'd like, name your API key, and save it.

## 2. Integrate Portkey

Portkey offers a variety of integration options, including SDKs, REST APIs, and native connections with platforms like OpenAI, Langchain, and LlamaIndex, among others.

### Through the OpenAI SDK

If you're using the **OpenAI SDK**, import the Portkey SDK and configure it within your OpenAI client object:

> [card] [OpenAI](https://docs.portkey.ai/docs/integrations/llms/openai.md)

### Portkey SDK

You can also use the **Portkey SDK / REST APIs** directly to make the chat completion calls. This is a more versatile way to make LLM calls across any provider:

> [card] [SDK](https://docs.portkey.ai/docs/api-reference/sdk)

Once, the integration is ready, you can view the requests reflect on your Portkey dashboard.

<video autoPlay muted loop playsInline src="https://mintcdn.com/portkey-docs/TEsf28na2t53tvAY/images/welcome/make-your-first-request.mp4?fit=max&auto=format&n=TEsf28na2t53tvAY&q=85&s=1f9cebce8d8b9eb913e2386c28f9eb38" />

### Other Integration Guides

> [card] [Azure OpenAI](https://docs.portkey.ai/docs/integrations/llms/azure-openai)

> [card] [Anthropic](https://docs.portkey.ai/docs/integrations/llms/anthropic.md)

> [card] [Langchain](https://docs.portkey.ai/docs/integrations/libraries/langchain-python.md)

> [card] [LlamaIndex](https://docs.portkey.ai/docs/integrations/libraries/llama-index-python.md)

> [card] [Ollama](https://docs.portkey.ai/docs/integrations/llms/ollama.md)

> [card] [Others](https://docs.portkey.ai/docs/integrations/llms.md)

## 3. Next Steps

Now that you're up and running with Portkey, you can dive into the various Portkey features to learn about all of the supported functionalities:

> [card] [Observability](https://docs.portkey.ai/docs/product/observability.md)

> [card] [AI Gateway](https://docs.portkey.ai/docs/product/ai-gateway.md)

> [card] [Prompt Library](https://docs.portkey.ai/docs/product/prompt-library.md)

> [card] [Autonomous Fine-Tuning](https://docs.portkey.ai/docs/product/autonomous-fine-tuning)

> [card] [Guardrails](https://docs.portkey.ai/docs/product/guardrails.md)

> [card] [Enterprise](https://docs.portkey.ai/docs/product/enterprise-offering.md)

> [!TIP]
>
> While you're here, why not [give us a star](https://git.new/ai-gateway-docs)? It helps us a lot!

***

> [card] [Portkey is now PRISMA AIRS AI Gateway. See it in action.](https://www.paloaltonetworks.in/ai-security/ai-gateway?utm_source=portkey\&utm_medium=referral\&utm_campaign=prisma_airs\&utm_content=docs_nav#contact)
>
> Contact Us


## Related topics

- [Unified LLM API with Automatic Failover & Error Handling](https://docs.portkey.ai/docs/guides/use-cases/enterprise-ready-unified-api.md)
- [DSPy](https://docs.portkey.ai/docs/integrations/libraries/dspy.md)
- [Introduction](https://docs.portkey.ai/docs/api-reference/admin-api/introduction.md)
- [Request Parameters Check](https://docs.portkey.ai/docs/integrations/guardrails/request-parameters-check.md)
- [Aporia](https://docs.portkey.ai/docs/integrations/guardrails/aporia.md)


This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.